<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Fri Jun 23 14:18:04 CEST 2023 -->
<title>FenetreAjouterVente</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2023-06-23">
<meta name="description" content="declaration: package: vues, class: FenetreAjouterVente">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var evenRowColor = "even-row-color";
var oddRowColor = "odd-row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../index-all.html">Index</a></li>
<li><a href="../help-doc.html#class">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field-summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor-summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor-detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">vues</a></div>
<h1 title="Class FenetreAjouterVente" class="title">Class FenetreAjouterVente</h1>
</div>
<div class="inheritance" title="Inheritance Tree"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">java.lang.Object</a>
<div class="inheritance">javafx.scene.Node
<div class="inheritance">javafx.scene.Parent
<div class="inheritance">javafx.scene.layout.Region
<div class="inheritance">javafx.scene.layout.Pane
<div class="inheritance">javafx.scene.layout.StackPane
<div class="inheritance">vues.FenetreAjouterVente</div>
</div>
</div>
</div>
</div>
</div>
</div>
<section class="class-description" id="class-description">
<dl class="notes">
<dt>All Implemented Interfaces:</dt>
<dd><code>javafx.css.Styleable</code>, <code>javafx.event.EventTarget</code></dd>
</dl>
<hr>
<div class="type-signature"><span class="modifiers">public class </span><span class="element-name type-name-label">FenetreAjouterVente</span>
<span class="extends-implements">extends javafx.scene.layout.StackPane</span></div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== PROPERTY SUMMARY =========== -->
<li>
<section class="property-summary" id="property-summary">
<h2>Property Summary</h2>
<div class="inherited-list">
<h3 id="properties-inherited-from-class-javafx.scene.layout.StackPane">Properties inherited from class&nbsp;javafx.scene.layout.StackPane</h3>
<code>alignment</code></div>
<div class="inherited-list">
<h3 id="properties-inherited-from-class-javafx.scene.layout.Region">Properties inherited from class&nbsp;javafx.scene.layout.Region</h3>
<code>background, border, cacheShape, centerShape, height, insets, maxHeight, maxWidth, minHeight, minWidth, opaqueInsets, padding, prefHeight, prefWidth, scaleShape, shape, snapToPixel, width</code></div>
<div class="inherited-list">
<h3 id="properties-inherited-from-class-javafx.scene.Parent">Properties inherited from class&nbsp;javafx.scene.Parent</h3>
<code>needsLayout</code></div>
<div class="inherited-list">
<h3 id="properties-inherited-from-class-javafx.scene.Node">Properties inherited from class&nbsp;javafx.scene.Node</h3>
<code>accessibleHelp, accessibleRoleDescription, accessibleRole, accessibleText, blendMode, boundsInLocal, boundsInParent, cacheHint, cache, clip, cursor, depthTest, disabled, disable, effectiveNodeOrientation, effect, eventDispatcher, focused, focusTraversable, hover, id, inputMethodRequests, layoutBounds, layoutX, layoutY, localToParentTransform, localToSceneTransform, managed, mouseTransparent, nodeOrientation, onContextMenuRequested, onDragDetected, onDragDone, onDragDropped, onDragEntered, onDragExited, onDragOver, onInputMethodTextChanged, onKeyPressed, onKeyReleased, onKeyTyped, onMouseClicked, onMouseDragEntered, onMouseDragExited, onMouseDragged, onMouseDragOver, onMouseDragReleased, onMouseEntered, onMouseExited, onMouseMoved, onMousePressed, onMouseReleased, onRotate, onRotationFinished, onRotationStarted, onScrollFinished, onScroll, onScrollStarted, onSwipeDown, onSwipeLeft, onSwipeRight, onSwipeUp, onTouchMoved, onTouchPressed, onTouchReleased, onTouchStationary, onZoomFinished, onZoom, onZoomStarted, opacity, parent, pickOnBounds, pressed, rotate, rotationAxis, scaleX, scaleY, scaleZ, scene, style, translateX, translateY, translateZ, viewOrder, visible</code></div>
</section>
</li>
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field-summary">
<h2>Field Summary</h2>
<div class="inherited-list">
<h3 id="fields-inherited-from-class-javafx.scene.layout.Region">Fields inherited from class&nbsp;javafx.scene.layout.Region</h3>
<code>USE_COMPUTED_SIZE, USE_PREF_SIZE</code></div>
<div class="inherited-list">
<h3 id="fields-inherited-from-class-javafx.scene.Node">Fields inherited from class&nbsp;javafx.scene.Node</h3>
<code>BASELINE_OFFSET_SAME_AS_HEIGHT</code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor-summary">
<h2>Constructor Summary</h2>
<div class="caption"><span>Constructors</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-constructor-name even-row-color"><code><a href="#%3Cinit%3E(vues.ApplicationVAE,javafx.scene.layout.BorderPane,javafx.scene.layout.BorderPane,javafx.scene.layout.BorderPane,modeles.Utilisateur,javafx.scene.layout.BorderPane,javafx.scene.control.Label,javafx.scene.control.Label,javafx.scene.control.Label,javafx.scene.control.Label,javafx.scene.control.Label,javafx.scene.control.Label,javafx.scene.control.Label,javafx.scene.control.Label,javafx.scene.control.Label,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button)" class="member-name-link">FenetreAjouterVente</a><wbr>(<a href="ApplicationVAE.html" title="class in vues">ApplicationVAE</a>&nbsp;appli,
 javafx.scene.layout.BorderPane&nbsp;bpPage,
 javafx.scene.layout.BorderPane&nbsp;rootTop,
 javafx.scene.layout.BorderPane&nbsp;rootLeft,
 <a href="../modeles/Utilisateur.html" title="class in modeles">Utilisateur</a>&nbsp;userModele,
 javafx.scene.layout.BorderPane&nbsp;borderMenuOption,
 javafx.scene.control.Label&nbsp;textMenu,
 javafx.scene.control.Label&nbsp;textPageAccueil,
 javafx.scene.control.Label&nbsp;textVendreUnProduit,
 javafx.scene.control.Label&nbsp;textVenteAuxEncheres,
 javafx.scene.control.Label&nbsp;textMessagerie,
 javafx.scene.control.Label&nbsp;textMonPanier,
 javafx.scene.control.Label&nbsp;textInformations,
 javafx.scene.control.Label&nbsp;textSetting,
 javafx.scene.control.Label&nbsp;textQuitter,
 javafx.scene.control.Button&nbsp;quitter,
 javafx.scene.control.Button&nbsp;deconnexion,
 javafx.scene.control.Button&nbsp;menu,
 javafx.scene.control.Button&nbsp;acceuil,
 javafx.scene.control.Button&nbsp;message,
 javafx.scene.control.Button&nbsp;info,
 javafx.scene.control.Button&nbsp;setting,
 javafx.scene.control.Button&nbsp;profil,
 javafx.scene.control.Button&nbsp;enchere,
 javafx.scene.control.Button&nbsp;panier,
 javafx.scene.control.Button&nbsp;ajouterEnchere)</code></div>
<div class="col-last even-row-color">
<div class="block">Constructeur FenetreAjouterVente</div>
</div>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method-summary">
<h2>Method Summary</h2>
<div id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="method-summary-table-tab0" role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table', 3)" class="active-table-tab">All Methods</button><button id="method-summary-table-tab2" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab2', 3)" class="table-tab">Instance Methods</button><button id="method-summary-table-tab4" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab4', 3)" class="table-tab">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<div class="summary-table three-column-summary" aria-labelledby="method-summary-table-tab0">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>javafx.scene.control.Alert</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#afficherErreurDate()" class="member-name-link">afficherErreurDate</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#ajouterImageVente1(javafx.scene.image.Image)" class="member-name-link">ajouterImageVente1</a><wbr>(javafx.scene.image.Image&nbsp;imageVente1)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#ajouterImageVente2(javafx.scene.image.Image)" class="member-name-link">ajouterImageVente2</a><wbr>(javafx.scene.image.Image&nbsp;imageVente2)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#ajouterImageVente3(javafx.scene.image.Image)" class="member-name-link">ajouterImageVente3</a><wbr>(javafx.scene.image.Image&nbsp;imageVente3)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#ajouterImageVente4(javafx.scene.image.Image)" class="member-name-link">ajouterImageVente4</a><wbr>(javafx.scene.image.Image&nbsp;imageVente4)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getDateDebut()" class="member-name-link">getDateDebut</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getDateFin()" class="member-name-link">getDateFin</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getDescription()" class="member-name-link">getDescription</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getImageVente1()" class="member-name-link">getImageVente1</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getImageVente2()" class="member-name-link">getImageVente2</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getImageVente3()" class="member-name-link">getImageVente3</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getImageVente4()" class="member-name-link">getImageVente4</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getNomVente()" class="member-name-link">getNomVente</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="../modeles/Objet.html" title="class in modeles">Objet</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getObjetVente()" class="member-name-link">getObjetVente</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getPrixDepart()" class="member-name-link">getPrixDepart</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getPrixMin()" class="member-name-link">getPrixMin</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="../modeles/Utilisateur.html" title="class in modeles">Utilisateur</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getUtilisateur()" class="member-name-link">getUtilisateur</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getVille()" class="member-name-link">getVille</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#setCategorie(int)" class="member-name-link">setCategorie</a><wbr>(int&nbsp;idCategorie)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
</div>
</div>
</div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-javafx.scene.layout.StackPane">Methods inherited from class&nbsp;javafx.scene.layout.StackPane</h3>
<code>alignmentProperty, clearConstraints, computeMinHeight, computeMinWidth, computePrefHeight, computePrefWidth, getAlignment, getAlignment, getClassCssMetaData, getContentBias, getCssMetaData, getMargin, layoutChildren, requestLayout, setAlignment, setAlignment, setMargin</code></div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-javafx.scene.layout.Pane">Methods inherited from class&nbsp;javafx.scene.layout.Pane</h3>
<code>getChildren</code></div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-javafx.scene.layout.Region">Methods inherited from class&nbsp;javafx.scene.layout.Region</h3>
<code>backgroundProperty, borderProperty, cacheShapeProperty, centerShapeProperty, computeMaxHeight, computeMaxWidth, getBackground, getBorder, getHeight, getInsets, getMaxHeight, getMaxWidth, getMinHeight, getMinWidth, getOpaqueInsets, getPadding, getPrefHeight, getPrefWidth, getShape, getUserAgentStylesheet, getWidth, heightProperty, insetsProperty, isCacheShape, isCenterShape, isResizable, isScaleShape, isSnapToPixel, layoutInArea, layoutInArea, layoutInArea, layoutInArea, maxHeight, maxHeightProperty, maxWidth, maxWidthProperty, minHeight, minHeightProperty, minWidth, minWidthProperty, opaqueInsetsProperty, paddingProperty, positionInArea, positionInArea, prefHeight, prefHeightProperty, prefWidth, prefWidthProperty, resize, scaleShapeProperty, setBackground, setBorder, setCacheShape, setCenterShape, setHeight, setMaxHeight, setMaxSize, setMaxWidth, setMinHeight, setMinSize, setMinWidth, setOpaqueInsets, setPadding, setPrefHeight, setPrefSize, setPrefWidth, setScaleShape, setShape, setSnapToPixel, setWidth, shapeProperty, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, snapToPixelProperty, widthProperty</code></div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-javafx.scene.Parent">Methods inherited from class&nbsp;javafx.scene.Parent</h3>
<code>getBaselineOffset, getChildrenUnmodifiable, getManagedChildren, getStylesheets, isNeedsLayout, layout, lookup, needsLayoutProperty, queryAccessibleAttribute, requestParentLayout, setNeedsLayout, updateBounds</code></div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-javafx.scene.Node">Methods inherited from class&nbsp;javafx.scene.Node</h3>
<code>accessibleHelpProperty, accessibleRoleDescriptionProperty, accessibleRoleProperty, accessibleTextProperty, addEventFilter, addEventHandler, applyCss, autosize, blendModeProperty, boundsInLocalProperty, boundsInParentProperty, buildEventDispatchChain, cacheHintProperty, cacheProperty, clipProperty, computeAreaInScreen, contains, contains, cursorProperty, depthTestProperty, disabledProperty, disableProperty, effectiveNodeOrientationProperty, effectProperty, eventDispatcherProperty, executeAccessibleAction, fireEvent, focusedProperty, focusTraversableProperty, getAccessibleHelp, getAccessibleRole, getAccessibleRoleDescription, getAccessibleText, getBlendMode, getBoundsInLocal, getBoundsInParent, getCacheHint, getClip, getCursor, getDepthTest, getEffect, getEffectiveNodeOrientation, getEventDispatcher, getId, getInitialCursor, getInitialFocusTraversable, getInputMethodRequests, getLayoutBounds, getLayoutX, getLayoutY, getLocalToParentTransform, getLocalToSceneTransform, getNodeOrientation, getOnContextMenuRequested, getOnDragDetected, getOnDragDone, getOnDragDropped, getOnDragEntered, getOnDragExited, getOnDragOver, getOnInputMethodTextChanged, getOnKeyPressed, getOnKeyReleased, getOnKeyTyped, getOnMouseClicked, getOnMouseDragEntered, getOnMouseDragExited, getOnMouseDragged, getOnMouseDragOver, getOnMouseDragReleased, getOnMouseEntered, getOnMouseExited, getOnMouseMoved, getOnMousePressed, getOnMouseReleased, getOnRotate, getOnRotationFinished, getOnRotationStarted, getOnScroll, getOnScrollFinished, getOnScrollStarted, getOnSwipeDown, getOnSwipeLeft, getOnSwipeRight, getOnSwipeUp, getOnTouchMoved, getOnTouchPressed, getOnTouchReleased, getOnTouchStationary, getOnZoom, getOnZoomFinished, getOnZoomStarted, getOpacity, getParent, getProperties, getPseudoClassStates, getRotate, getRotationAxis, getScaleX, getScaleY, getScaleZ, getScene, getStyle, getStyleableParent, getStyleClass, getTransforms, getTranslateX, getTranslateY, getTranslateZ, getTypeSelector, getUserData, getViewOrder, hasProperties, hoverProperty, idProperty, inputMethodRequestsProperty, intersects, intersects, isCache, isDisable, isDisabled, isFocused, isFocusTraversable, isHover, isManaged, isMouseTransparent, isPickOnBounds, isPressed, isVisible, layoutBoundsProperty, layoutXProperty, layoutYProperty, localToParent, localToParent, localToParent, localToParent, localToParent, localToParentTransformProperty, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToSceneTransformProperty, localToScreen, localToScreen, localToScreen, localToScreen, localToScreen, lookupAll, managedProperty, mouseTransparentProperty, nodeOrientationProperty, notifyAccessibleAttributeChanged, onContextMenuRequestedProperty, onDragDetectedProperty, onDragDoneProperty, onDragDroppedProperty, onDragEnteredProperty, onDragExitedProperty, onDragOverProperty, onInputMethodTextChangedProperty, onKeyPressedProperty, onKeyReleasedProperty, onKeyTypedProperty, onMouseClickedProperty, onMouseDragEnteredProperty, onMouseDragExitedProperty, onMouseDraggedProperty, onMouseDragOverProperty, onMouseDragReleasedProperty, onMouseEnteredProperty, onMouseExitedProperty, onMouseMovedProperty, onMousePressedProperty, onMouseReleasedProperty, onRotateProperty, onRotationFinishedProperty, onRotationStartedProperty, onScrollFinishedProperty, onScrollProperty, onScrollStartedProperty, onSwipeDownProperty, onSwipeLeftProperty, onSwipeRightProperty, onSwipeUpProperty, onTouchMovedProperty, onTouchPressedProperty, onTouchReleasedProperty, onTouchStationaryProperty, onZoomFinishedProperty, onZoomProperty, onZoomStartedProperty, opacityProperty, parentProperty, parentToLocal, parentToLocal, parentToLocal, parentToLocal, parentToLocal, pickOnBoundsProperty, pressedProperty, pseudoClassStateChanged, relocate, removeEventFilter, removeEventHandler, requestFocus, resizeRelocate, rotateProperty, rotationAxisProperty, scaleXProperty, scaleYProperty, scaleZProperty, sceneProperty, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, screenToLocal, screenToLocal, screenToLocal, setAccessibleHelp, setAccessibleRole, setAccessibleRoleDescription, setAccessibleText, setBlendMode, setCache, setCacheHint, setClip, setCursor, setDepthTest, setDisable, setDisabled, setEffect, setEventDispatcher, setEventHandler, setFocused, setFocusTraversable, setHover, setId, setInputMethodRequests, setLayoutX, setLayoutY, setManaged, setMouseTransparent, setNodeOrientation, setOnContextMenuRequested, setOnDragDetected, setOnDragDone, setOnDragDropped, setOnDragEntered, setOnDragExited, setOnDragOver, setOnInputMethodTextChanged, setOnKeyPressed, setOnKeyReleased, setOnKeyTyped, setOnMouseClicked, setOnMouseDragEntered, setOnMouseDragExited, setOnMouseDragged, setOnMouseDragOver, setOnMouseDragReleased, setOnMouseEntered, setOnMouseExited, setOnMouseMoved, setOnMousePressed, setOnMouseReleased, setOnRotate, setOnRotationFinished, setOnRotationStarted, setOnScroll, setOnScrollFinished, setOnScrollStarted, setOnSwipeDown, setOnSwipeLeft, setOnSwipeRight, setOnSwipeUp, setOnTouchMoved, setOnTouchPressed, setOnTouchReleased, setOnTouchStationary, setOnZoom, setOnZoomFinished, setOnZoomStarted, setOpacity, setPickOnBounds, setPressed, setRotate, setRotationAxis, setScaleX, setScaleY, setScaleZ, setStyle, setTranslateX, setTranslateY, setTranslateZ, setUserData, setViewOrder, setVisible, snapshot, snapshot, startDragAndDrop, startFullDrag, styleProperty, toBack, toFront, toString, translateXProperty, translateYProperty, translateZProperty, usesMirroring, viewOrderProperty, visibleProperty</code></div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-java.lang.Object">Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#clone()" title="class or interface in java.lang" class="external-link">clone</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang" class="external-link">equals</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#finalize()" title="class or interface in java.lang" class="external-link">finalize</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#getClass()" title="class or interface in java.lang" class="external-link">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#hashCode()" title="class or interface in java.lang" class="external-link">hashCode</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notify()" title="class or interface in java.lang" class="external-link">notify</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notifyAll()" title="class or interface in java.lang" class="external-link">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait()" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long)" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long,int)" title="class or interface in java.lang" class="external-link">wait</a></code></div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-javafx.css.Styleable">Methods inherited from interface&nbsp;javafx.css.Styleable</h3>
<code>getStyleableNode</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor-detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(vues.ApplicationVAE,javafx.scene.layout.BorderPane,javafx.scene.layout.BorderPane,javafx.scene.layout.BorderPane,modeles.Utilisateur,javafx.scene.layout.BorderPane,javafx.scene.control.Label,javafx.scene.control.Label,javafx.scene.control.Label,javafx.scene.control.Label,javafx.scene.control.Label,javafx.scene.control.Label,javafx.scene.control.Label,javafx.scene.control.Label,javafx.scene.control.Label,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button,javafx.scene.control.Button)">
<h3>FenetreAjouterVente</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">FenetreAjouterVente</span><wbr><span class="parameters">(<a href="ApplicationVAE.html" title="class in vues">ApplicationVAE</a>&nbsp;appli,
 javafx.scene.layout.BorderPane&nbsp;bpPage,
 javafx.scene.layout.BorderPane&nbsp;rootTop,
 javafx.scene.layout.BorderPane&nbsp;rootLeft,
 <a href="../modeles/Utilisateur.html" title="class in modeles">Utilisateur</a>&nbsp;userModele,
 javafx.scene.layout.BorderPane&nbsp;borderMenuOption,
 javafx.scene.control.Label&nbsp;textMenu,
 javafx.scene.control.Label&nbsp;textPageAccueil,
 javafx.scene.control.Label&nbsp;textVendreUnProduit,
 javafx.scene.control.Label&nbsp;textVenteAuxEncheres,
 javafx.scene.control.Label&nbsp;textMessagerie,
 javafx.scene.control.Label&nbsp;textMonPanier,
 javafx.scene.control.Label&nbsp;textInformations,
 javafx.scene.control.Label&nbsp;textSetting,
 javafx.scene.control.Label&nbsp;textQuitter,
 javafx.scene.control.Button&nbsp;quitter,
 javafx.scene.control.Button&nbsp;deconnexion,
 javafx.scene.control.Button&nbsp;menu,
 javafx.scene.control.Button&nbsp;acceuil,
 javafx.scene.control.Button&nbsp;message,
 javafx.scene.control.Button&nbsp;info,
 javafx.scene.control.Button&nbsp;setting,
 javafx.scene.control.Button&nbsp;profil,
 javafx.scene.control.Button&nbsp;enchere,
 javafx.scene.control.Button&nbsp;panier,
 javafx.scene.control.Button&nbsp;ajouterEnchere)</span></div>
<div class="block">Constructeur FenetreAjouterVente</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>appli</code> - l'application</dd>
<dd><code>bpPage</code> - le borderpane de la page</dd>
<dd><code>rootTop</code> - le borderpane du top</dd>
<dd><code>rootLeft</code> - le borderpane du left</dd>
<dd><code>userModele</code> - le modele utilisateur</dd>
<dd><code>borderMenuOption</code> - le borderpane du menu</dd>
<dd><code>textMenu</code> - le label du menu</dd>
<dd><code>textPageAccueil</code> - le label de la page d'accueil</dd>
<dd><code>textVendreUnProduit</code> - le label de la page vendre un produit</dd>
<dd><code>textVenteAuxEncheres</code> - le label de la page vente aux encheres</dd>
<dd><code>textMessagerie</code> - le label de la page messagerie</dd>
<dd><code>textMonPanier</code> - le label de la page mon panier</dd>
<dd><code>textInformations</code> - le label de la page informations</dd>
<dd><code>textSetting</code> - le label de la page setting</dd>
<dd><code>textQuitter</code> - le label de la page quitter</dd>
<dd><code>quitter</code> - le bouton quitter</dd>
<dd><code>deconnexion</code> - le bouton deconnexion</dd>
<dd><code>menu</code> - le bouton menu</dd>
<dd><code>acceuil</code> - le bouton accueil</dd>
<dd><code>message</code> - le bouton message</dd>
<dd><code>info</code> - le bouton info</dd>
<dd><code>setting</code> - le bouton setting</dd>
<dd><code>profil</code> - le bouton profil</dd>
<dd><code>enchere</code> - le bouton enchere</dd>
<dd><code>panier</code> - le bouton panier</dd>
<dd><code>ajouterEnchere</code> - le bouton ajouter une enchere</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method-detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="getImageVente1()">
<h3>getImageVente1</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></span>&nbsp;<span class="element-name">getImageVente1</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getImageVente2()">
<h3>getImageVente2</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></span>&nbsp;<span class="element-name">getImageVente2</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getImageVente3()">
<h3>getImageVente3</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></span>&nbsp;<span class="element-name">getImageVente3</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getImageVente4()">
<h3>getImageVente4</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></span>&nbsp;<span class="element-name">getImageVente4</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getNomVente()">
<h3>getNomVente</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></span>&nbsp;<span class="element-name">getNomVente</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getDateDebut()">
<h3>getDateDebut</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></span>&nbsp;<span class="element-name">getDateDebut</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getDateFin()">
<h3>getDateFin</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></span>&nbsp;<span class="element-name">getDateFin</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getPrixDepart()">
<h3>getPrixDepart</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">getPrixDepart</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getPrixMin()">
<h3>getPrixMin</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">getPrixMin</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getDescription()">
<h3>getDescription</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></span>&nbsp;<span class="element-name">getDescription</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getVille()">
<h3>getVille</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></span>&nbsp;<span class="element-name">getVille</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getUtilisateur()">
<h3>getUtilisateur</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="../modeles/Utilisateur.html" title="class in modeles">Utilisateur</a></span>&nbsp;<span class="element-name">getUtilisateur</span>()</div>
</section>
</li>
<li>
<section class="detail" id="ajouterImageVente1(javafx.scene.image.Image)">
<h3>ajouterImageVente1</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">ajouterImageVente1</span><wbr><span class="parameters">(javafx.scene.image.Image&nbsp;imageVente1)</span></div>
</section>
</li>
<li>
<section class="detail" id="ajouterImageVente2(javafx.scene.image.Image)">
<h3>ajouterImageVente2</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">ajouterImageVente2</span><wbr><span class="parameters">(javafx.scene.image.Image&nbsp;imageVente2)</span></div>
</section>
</li>
<li>
<section class="detail" id="ajouterImageVente3(javafx.scene.image.Image)">
<h3>ajouterImageVente3</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">ajouterImageVente3</span><wbr><span class="parameters">(javafx.scene.image.Image&nbsp;imageVente3)</span></div>
</section>
</li>
<li>
<section class="detail" id="ajouterImageVente4(javafx.scene.image.Image)">
<h3>ajouterImageVente4</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">ajouterImageVente4</span><wbr><span class="parameters">(javafx.scene.image.Image&nbsp;imageVente4)</span></div>
</section>
</li>
<li>
<section class="detail" id="getObjetVente()">
<h3>getObjetVente</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="../modeles/Objet.html" title="class in modeles">Objet</a></span>&nbsp;<span class="element-name">getObjetVente</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setCategorie(int)">
<h3>setCategorie</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">setCategorie</span><wbr><span class="parameters">(int&nbsp;idCategorie)</span></div>
</section>
</li>
<li>
<section class="detail" id="afficherErreurDate()">
<h3>afficherErreurDate</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">javafx.scene.control.Alert</span>&nbsp;<span class="element-name">afficherErreurDate</span>()</div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
</div>
</div>
</body>
</html>
